Priority (Apache JMeter dist API)
Description: declaration: package: org.apache.log, class: Priority

Package org.apache.log

# Class Priority

java.lang.Object
org.apache.log.Priority

All Implemented Interfaces:
  `Serializable`

@Deprecated public final class Priority extends Object implements Serializable
Deprecated.
Will be dropped in 3.3
Class representing and holding constants for priority.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Priority`
  `DEBUG`
  Deprecated.
  Developer orientated messages, usually used during development of product.
  `static final Priority`
  `ERROR`
  Deprecated.
  A problem has occurred but it is not fatal.
  `static final Priority`
  `FATAL_ERROR`
  Deprecated.
  Something caused whole system to fail.
  `static final Priority`
  `INFO`
  Deprecated.
  Useful information messages such as state changes, client connection, user login etc.
  `static final Priority`
  `NONE`
  Deprecated.
  Do not log anything.
  `static final Priority`
  `WARN`
  Deprecated.
  A problem or conflict has occurred but it may be recoverable, then again it could be the start of the system failing.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Deprecated.
  Get name of priority.
  `static Priority`
  `getPriorityForName(String priority)`
  Deprecated.
  Retrieve a Priority object for the name parameter.
  `int`
  `getValue()`
  Deprecated.
  Get numerical value associated with priority.
  `boolean`
  `isGreater(Priority other)`
  Deprecated.
  Test whether this priority is greater than other priority.
  `boolean`
  `isLower(Priority other)`
  Deprecated.
  Test whether this priority is lower than other priority.
  `boolean`
  `isLowerOrEqual(Priority other)`
  Deprecated.
  Test whether this priority is lower or equal to other priority.
  `String`
  `toString()`
  Deprecated.
  Overridden string to display Priority in human readable form.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEBUG

    public static final Priority DEBUG
    Deprecated.
    Developer orientated messages, usually used during development of product.

  - ### INFO

    public static final Priority INFO
    Deprecated.
    Useful information messages such as state changes, client connection, user login etc.

  - ### WARN

    public static final Priority WARN
    Deprecated.
    A problem or conflict has occurred but it may be recoverable, then again it could be the start of the system failing.

  - ### ERROR

    public static final Priority ERROR
    Deprecated.
    A problem has occurred but it is not fatal. The system will still function.

  - ### FATAL_ERROR

    public static final Priority FATAL_ERROR
    Deprecated.
    Something caused whole system to fail. This indicates that an administrator should restart the system and try to fix the problem that caused the failure.

  - ### NONE

    public static final Priority NONE
    Deprecated.
    Do not log anything.

- ## Method Details

  - ### getPriorityForName

    public static Priority getPriorityForName(String priority)
    Deprecated.
    Retrieve a Priority object for the name parameter.
    Parameters:
      `priority` - the priority name
    Returns:
      the Priority for name

  - ### toString

    public String toString()
    Deprecated.
    Overridden string to display Priority in human readable form.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string describing priority

  - ### getValue

    public int getValue()
    Deprecated.
    Get numerical value associated with priority.
    Returns:
      the numerical value

  - ### getName

    public String getName()
    Deprecated.
    Get name of priority.
    Returns:
      the priorities name

  - ### isGreater

    public boolean isGreater(Priority other)
    Deprecated.
    Test whether this priority is greater than other priority.
    Parameters:
      `other` - the other Priority
    Returns:
      TRUE if the priority is greater else FALSE

  - ### isLower

    public boolean isLower(Priority other)
    Deprecated.
    Test whether this priority is lower than other priority.
    Parameters:
      `other` - the other Priority
    Returns:
      TRUE if the priority is lower else FALSE

  - ### isLowerOrEqual

    public boolean isLowerOrEqual(Priority other)
    Deprecated.
    Test whether this priority is lower or equal to other priority.
    Parameters:
      `other` - the other Priority
    Returns:
      TRUE if the priority is lower or equal else FALSE